<h2 mat-dialog-title>
  {{'HelpTitle' | translate}}
</h2>
<mat-dialog-content class="mat-typography">
  <p class="intro">
    <span class="tuna"> {{'AppTitle' | translate}}</span>
    {{'HelpIntro' | translate}}
  </p>

  <p>
    {{'HelpHow' | translate}}
  </p>

  <h3 class="point">
    1. {{'HelpUploadTitle' | translate}}
  </h3>
  <div class="subpoints">
    <p>
      {{'HelpUploadText1a' | translate}}
      <span class="menu">
        <mat-icon>file_upload</mat-icon>
        <span>{{ 'ImportData' | translate }}</span>
      </span>
      {{'HelpUploadText1b' | translate}}
    </p>
    <p>
      {{'HelpUploadText2' | translate}}
    </p>
    <mat-expansion-panel>
      <mat-expansion-panel-header>
        <mat-panel-title>
          JSON Format
        </mat-panel-title>
        <mat-panel-description>
          {{ 'Expand' | translate }}
        </mat-panel-description>
      </mat-expansion-panel-header>
      <mat-divider></mat-divider>
      <p>
        {{'HelpFormatIntro' | translate}}
      </p>
      <div class="json">
        <p>{{'{'}}</p>
        <div class="entry">
          <span class="format">name</span>
          <p class="comment"> {{'HelpFormatName' | translate}} </p>
        </div>
        <div class="entry">
          <span class="format">date</span>
          <p class="comment"> {{'HelpFormatDate' | translate}} </p>
        </div>
        <div class="entry">
          <span class="format">route</span>
          <p class="comment"> {{'HelpFormatRoute' | translate}} </p>
        </div>
        <div class="entry">
          <span class="format">stops</span>
          <p class="comment"> {{'HelpFormatStops' | translate}} </p>
        </div>
        <div class="entry">
          <span class="format">timestamps</span>
          <p class="comment"> {{'HelpFormatTimestamps' | translate}} </p>
        </div>
        <div class="entry">
          <span class="format">measurements</span>
          <p class="commentN"> {{'HelpFormatMeasurements' | translate}} </p>
        </div>
        <p>{{'}'}}</p>
      </div>
      <p>{{'HelpExample' | translate }}
    </p>
      <div class="json">
        <p>{{'{'}}</p>
        <div class="entry">
          <span class="format">"name":</span>
          <p class="comment">"ExampleRoute1"<span style="display: inline-block; color: black;">,</span></p>
        </div>
        <div class="entry">
          <span class="format">"date":</span>
          <p class="comment">"2023-01-01"<span style="display: inline-block; color: black;">,</span></p>
        </div>
        <div class="entry">
          <span class="format">"route":</span>
          <p class="comment">[[-8.641539, 41.184558], [-8.641188, 41.184414], [-8.641233, 41.18445]]<span style="display: inline-block; color: black;">,</span></p>
        </div>
        <div class="entry">
          <span class="format">"stops":</span>
          <p class="comment">[0]<span style="display: inline-block; color: black;">,</span></p>
        </div>
        <div class="entry">
          <span class="format">"timestamps":</span>
          <p class="commentN"> ["2013-07-02 00:59:54.000000", "2013-07-02 01:00:09.000000", "2013-07-02 01:00:24.000000"]</p>
        </div>
        <p>{{'}'}}</p>
      </div>
    </mat-expansion-panel>
  </div>

  <h3 class="point">
    2. {{'HelpOverviewTitle' | translate}}
  </h3>
  <div class="subpoints">
    <p>
      {{'HelpOverviewText1a' | translate}}
      <span class="menu">
        <mat-icon>table</mat-icon>
        <span>{{ 'ShowDatabase' | translate }}</span>
      </span>
      {{'HelpOverviewText1b' | translate}}
    </p>
    <p>
      {{'HelpOverviewText2' | translate}}
    </p>
    <p>
      {{'HelpOverviewText3' | translate}}
    </p>
    <p>
      {{'HelpOverviewText4a' | translate}}
      <span class="button">{{ 'DisplayRoutes' | translate }}</span>
      {{'HelpOverviewText4b' | translate}}
    </p>
  </div>

  <h3 class="point">
    3. {{'HelpMetricTitle' | translate}}
  </h3>
  <div class="subpoints">
    <p>
      {{'HelpMetricText1' | translate}}
    </p>
    <p>
      {{'HelpMetricText2' | translate}}
    </p>
    <p>
      {{'HelpMetricText3' | translate}}
    </p>
  </div>

  <h3 class="point">
    4. {{'HelpAlgoTitle' | translate}}
  </h3>
  <div class="subpoints">
    <p>
      {{'HelpAlgoText1' | translate}}
    </p>
    <p>
      {{'HelpAlgoText2' | translate}}
    </p>
    <p>
      {{'HelpAlgoText3' | translate}}
    </p>
    <p>
      {{'HelpAlgoText4' | translate}}
    </p>
  </div>
  <button color="primary" mat-raised-button mat-dialog-close>{{'Close' | translate }}</button>
</mat-dialog-content>
